# $Revision: 1.17 $, $Date: 2010/10/09 15:52:57 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	HTML_Select_Common
Summary:	%{_pearname} - small classes to handle common <select> lists
Summary(pl.UTF-8):	%{_pearname} - małe klasy do obsługi list <select>
Name:		php-pear-%{_pearname}
Version:	1.2.0
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c5423721b258a4b10d2bbcd6ebde6d79
URL:		http://pear.php.net/package/HTML_Select_Common/
BuildRequires:	php-pear-PEAR >= 1:1.9.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-I18N >= 0.8
Obsoletes:	php-pear-HTML_Select
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides <select>lists for:
 - Country
 - UK counties
 - US States

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza listy <select> do pytań o:
 - kraj
 - kraje UK
 - stany US

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/%{_pearname}/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/HTML/Select
%{php_pear_dir}/HTML/Select/Common

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Select_Common.spec,v $
Revision 1.17  2010/10/09 15:52:57  glen
- up to 1.2.0

Revision 1.16  2008/01/31 12:17:18  glen
- rel 5

Revision 1.15  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.13  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2005/10/05 20:11:14  glen
- rel 4

Revision 1.10  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.9  2005/09/22 20:42:40  glen
- new pear packaging (fixed %files); rel 3

Revision 1.8  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.6  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.5  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.4  2003/06/22 17:42:02  adamg
- fixed %%install and %%files, builds

Revision 1.3  2003/06/18 21:43:15  ankry
- fixed md5

Revision 1.2  2003/06/03 20:00:19  qboosh
- Obsoletes: php-pear-HTML_Select

Revision 1.1  2003/05/31 23:44:03  adamg
- initial import (formely php-pear-HTML_Select.spec)
